Freeciv-3.1: worker_task Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
worker_task Struct Reference

`#include <workertask.h>`

## Data Fields

struct tile * | ptile
enum unit_activity | act
struct extra_type * | tgt
int | want

## Detailed Description

Definition at line 20 of file workertask.h.

## Field Documentation

## ◆ act

enum unit_activity worker_task::act

Definition at line 23 of file workertask.h.

Referenced by auto_settler_findwork(), dai_auto_settler_run(), handle_worker_task(), handle_worker_task(), sg_load_player_cities(), sg_load_player_cities(), tai_city_worker_requests_create(), tai_city_worker_task_select(), tai_req_worker_task_rcv(), tai_tile_worker_task_select(), texai_city_worker_requests_create(), texai_city_worker_task_select(), texai_req_worker_task_rcv(), texai_tile_worker_task_select(), and worker_task_is_sane().

## ◆ ptile

struct tile* worker_task::ptile

Definition at line 22 of file workertask.h.

Referenced by auto_settler_findwork(), clear_worker_task(), dai_auto_settler_run(), handle_worker_task(), handle_worker_task(), is_free_worked(), popup_workertask_dlg(), settler_evaluate_city_requests(), sg_load_player_cities(), sg_load_player_cities(), tai_city_worker_requests_create(), tai_city_worker_task_select(), tai_req_worker_task_rcv(), tai_tile_worker_task_select(), texai_city_worker_requests_create(), texai_city_worker_task_select(), texai_req_worker_task_rcv(), texai_tile_worker_task_select(), worker_task_init(), and worker_task_is_sane().

## ◆ tgt

struct extra_type* worker_task::tgt

Definition at line 24 of file workertask.h.

Referenced by auto_settler_findwork(), dai_auto_settler_run(), handle_worker_task(), handle_worker_task(), sg_load_player_cities(), sg_load_player_cities(), tai_city_worker_requests_create(), tai_city_worker_task_select(), tai_req_worker_task_rcv(), tai_tile_worker_task_select(), texai_city_worker_requests_create(), texai_city_worker_task_select(), texai_req_worker_task_rcv(), texai_tile_worker_task_select(), and worker_task_is_sane().

## ◆ want

int worker_task::want

Definition at line 25 of file workertask.h.

Referenced by handle_worker_task(), handle_worker_task(), sg_load_player_cities(), sg_load_player_cities(), tai_city_worker_requests_create(), tai_city_worker_task_select(), tai_req_worker_task_rcv(), tai_tile_worker_task_select(), texai_city_worker_requests_create(), texai_city_worker_task_select(), texai_req_worker_task_rcv(), texai_tile_worker_task_select(), and worker_task_init().